elinks (0.19.1-1) unstable; urgency=medium

  * New upstream version 0.19.1
  * d/gbp.conf: Lax requirement to use branch name 'debian/unstable'
    So that git-buildpackage will always build using the currently checked out
    branch as the Debian branch.
    This makes it easier for contributors to work with feature and bugfix
    branches.
  * Drop fix-iframe-segfault.patch & fix-session-save.patch: applied upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 08 Feb 2026 02:50:58 +0100

elinks (0.19.0-3) unstable; urgency=medium

  * Update copyright years
  * Add fix-iframe-segfault.patch to fix segfault when opening new tabs

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 19 Jan 2026 19:53:23 +0100

elinks (0.19.0-2) unstable; urgency=medium

  * Add fix-session-save.patch to fix session positions save/restore
  * d/control: drop redundant Priority: optional field
  * d/control: bump standards version to 4.7.3

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 16 Jan 2026 23:31:16 +0100

elinks (0.19.0-1) unstable; urgency=medium

  * New upstream version 0.19.0
  * Drop sixel support, as it requires libdom.
  * Remove define_SOCKS_SHIFT.patch, fix-libdomdeps.patch & fix-lto.patch,
    applied upstream
  * Refresh patches: 03_459467_ui.leds.enable_0.diff, 04_436817_nostrip.diff,
    07_617713_cache_control.diff & 14_debug_disable_Werror.diff
  * d/rules: enable spartan protocol
  * d/t/dump: update reference dump

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 02 Jan 2026 19:34:43 +0100

elinks (0.18.0-2) unstable; urgency=medium

  * d/p/fix-libdomdeps.patch: fix spelling error of Description field
  * Drop redundant Rules-Requires-Root field
  * Enable sixel
  * d/control: update standards version to 4.7.2
  * Add fix-lto.patch to fix FTBFS with LTO enabled (Closes: #1015394)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 31 Oct 2025 17:36:36 +0100

elinks (0.18.0-1) unstable; urgency=medium

  * New upstream version 0.18.0
  * Refreshed patch: 03_459467_ui.leds.enable_0.diff
  * Add fix-libdomdeps.patch to fix default value of libdomdeps to an empty
    list instead of false
  * Added define_SOCKS_SHIFT.patch to add missing definition for SOCKS_SHIFT

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 29 Dec 2024 18:40:32 +0100

elinks (0.17.1.1-2) unstable; urgency=medium

  * d/rules: disable unicode combining characters (Closes: #1089693)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 21 Dec 2024 15:35:18 +0100

elinks (0.17.1.1-1) unstable; urgency=medium

  * New upstream version 0.17.1.1
  * Refreshed 14_debug_disable_Werror.diff patch
  * Remove fix_nonascii_inpfield.patch, applied upstream
  * Remove fix-protocol-test.patch, applied upstream
  * d/control:
    + bump standards version to 4.7.0
    + prettify build-deps list
  * Enable python hooks.
    Thanks to Dimitry Ishenko

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 06 Dec 2024 18:14:16 +0100

elinks (0.17.0-2) unstable; urgency=medium

  * Add fix_nonascii_inpfield.patch to fix a bug with input fields not
    accepting non-ASCII input.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 26 Jul 2024 04:29:19 +0200

elinks (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0
  * Dropped patches applied upstream: fix-mailcap-test.diff & perl_5.38.patch
  * Refresh patches: 07_617713_cache_control.diff,
    14_debug_disable_Werror.diff
  * Added fix-protocol-test.patch to fix path for protocol.c test
  * d/rules:
    + remove sysconfdir setting (Closes: #1040656)
    + disable libcss support
    + fix typo
  * Update copyright years
  * d/control:
    + update build deps libidn-dev -> libidn2-dev
    + add libcurl4-gnutls-dev to build deps
    + update build-dep: pkg-config -> pkgconf
  * d/elinks-data.docs: README -> README.md
  * d/source.lintian-overrides: add an override for test/data.html
  * d/t/dump: add -no-home when invoking ELinks

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 11 Jul 2024 18:01:47 +0200

elinks (0.16.1.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with Perl 5.38: error: redefinition of 'struct object'":
    add patch from upstream pull request/commit.
    (Closes: #1042844)

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 Nov 2023 21:39:04 +0100

elinks (0.16.1.1-4) unstable; urgency=medium

  [ Pino Toscano ]
  * d/rules: disable gpm on non-Linux architectures

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Add fix-mailcap-test.diff patch to fix mailcap-cache test that fails on
    s390x arch

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 30 Jun 2023 03:01:41 +0200

elinks (0.16.1.1-3) unstable; urgency=medium

  * d/control: bump Lua build-dep to 5.3
  * d/rules: pass -Dluapkg=lua5.3 to meson to re-enable Lua support
    (Closes: #1037130)
  * d/rules: export FORCE_SOURCE_DATE to makke PDF manual build reproducible.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #1037159)
  * Re-enable bzip2 compression

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 14 Jun 2023 22:52:28 +0200

elinks (0.16.1.1-2) unstable; urgency=medium

  * Upload to unstable
  * d/control, d/copyright: update homepage URL (Closes: #1036632, #1003791)
  * d/copyright: update upstream contact

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 04 Jun 2023 22:22:36 +0200

elinks (0.16.1.1-1) experimental; urgency=medium

  * New upstream version 0.16.1.1
  * Switch to meson build system.
    Replace d/elinks-doc.docs with elinks-doc.install
  * d/watch: change downloadurlmangle to get xz tarball
  * Removed fix-uri-encoding.diff, meson_nogit.diff patches, applied upstream
  * d/rules: override dh_install to exclude installation of empty manual.proc
  * Add d/elinks-doc.doc-base

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 02 May 2023 00:28:34 +0200

elinks (0.16.0-2) experimental; urgency=medium

  * d/rules: no need to configure info dir
  * d/changelog: remove trailing whitespaces
  * Remove ascii-replacement-utf8-console.diff patch, applied upstream
  * Add fix-uri-encoding.diff to fix encoding of URIs with non-ASCII characters
    (Closes: #561751)
  * Enable fast mode only for stable releases (Closes: #774159)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 29 Apr 2023 05:49:08 +0200

elinks (0.16.0-1) experimental; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream version 0.16.0
    + Confgurable Accept headers (Closes: #382174)
  * Updated upstream links
  * d/watch: updaten& add uversionmangle for pre & RC releases
  * Remove watch file in contrib as it confuses uscan
  * d/u/metadata: remove Homepage field
  * d/control:
    + updated standards version to 4.6.2
    + Add dblatex to build deps
  * Refreshed patches.
  * Removed patches:
    + 16_POST_BUFFER_SIZE.diff patch, applied upstream
    + 1[01]-reproducible-build.diff patches, replaced by
      CONFIG_REPRODUCIBLE option
  * Update changelog for 0.16.02-1~3.gbp4122c2 release
  * d/elinks-data.examples: update filename of w3m2links.awk script
  * d/control: update build-deps
    libidn11-dev -> libidn-dev, libncurses5-dev -> libncurses-dev
  * Remove d/elinks.lintian-overrides, no longer needed
  * d/source.lintian-overrides: add overrides for HTML files reported to be
    without source.
    See: #1019980
  * Enable Spidermonkey javascript support
  * d/rules:
    + Enable reproducible builds, set source-date-epoch to latest changelog
      entry epoch.
    + Split each configure option in a separate line
    + Set source epoch to timestamp of last changelog entry
    + Enable Gopher protocol
    + Enable Gemini protocol
    + Use system gettext
    + Disable dh_auto_test till upstream fixes it.
  * Build with zlib support (Closes: #1023831)
  * Enable Brotli compression

  [ Lucas Kanashiro ]
  * debian/tests/{control,basic-usage}: add basic test case

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 21 Apr 2023 23:39:09 +0200

elinks (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2
    + Added config option ui.tostop (Closes: #958447)
  * Dropped cookie-path-fix.patch, fixed upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 13 Jun 2020 12:32:00 +0200

elinks (0.13.1-4) unstable; urgency=medium

  * Fix parallel FTBFS of docs.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #960226)
  * Make build reproducible.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #960313)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 25 May 2020 15:16:58 +0200

elinks (0.13.1-3) unstable; urgency=medium

  * Added cookie-path-fix.patch to properly handle cookie path= equal to
    request path (Closes: #959490)
  * Bump to compat level 13
  * Add d/not-installed

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 10 May 2020 11:46:28 +0200

elinks (0.13.1-2) unstable; urgency=medium

  * Update Vcs-* fields to new URL

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 May 2020 16:51:43 +0200

elinks (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1
  * d/watch: remove uversionmangle
  * Drop python3.patch, applied upstream
  * Update standards version to 4.5.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 05 Feb 2020 16:23:53 +0100

elinks (0.13.0-3) unstable; urgency=medium

  * d/watch: fix version mangling again
  * Add python3.patch to switch python scripts to Python3
  * Add python3 to build deps

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 07 Jan 2020 03:58:56 +0100

elinks (0.13.0-2) unstable; urgency=medium

  * d/watch: change oversionmangle to uversionmangle

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 03 Jan 2020 03:01:56 +0100

elinks (0.13.0-1) unstable; urgency=medium

  * Update watch file
  * gbp.conf:
    + Enable pristine-tar
    + Comment compression setting
  * New upstream version 0.13.0
  * Refresh patches
  * Set debhelper compat level in build deps
  * Add Rules-Requires-Root=no

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 30 Dec 2019 02:21:21 +0100

elinks (0.13~20190125-5) unstable; urgency=medium

  * Drop Recomeends: elinks from elinks-data (Closes: #941887)
  * Update standards version to 4.4.1

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 10 Oct 2019 05:04:23 +0200

elinks (0.13~20190125-4) unstable; urgency=medium

  * Add autopkgtest
  * Add a session test using screen.
    Currently disabled since it doesn't work
  * Remove python from Build-deps (Closes: #936475)
  * Fix installation source paths
  * Update standards version to 4.4.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 23 Sep 2019 18:03:39 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog elinks-doc`.
